%define _release 1
%define _version 0.1.0
%define _dsopath %{_prefix}/lib/bayonnedb/%{_version}

Summary: bayonnedb - realtime telephony database server
Name: bayonnedb
Version: %{_version}
Release: %{_release}
Group: Communications
Source: ftp://www.voxilla.org/pub/bayonnedb/bayonnedb-%{PACKAGE_VERSION}.tar.gz
Prefix: %{_prefix}
Vendor: Open Source Telecom
Copyright: GPL
BuildRoot: %{_tmppath}/bayonnedb-root
Packager: David Sugar <dyfet@ostel.com>
url: http://www.bayonne.cx
BuildRequires: CommonC++ >= 1.3.2

%description
Bayonnedb offers realtime database transactions for telephony
applications.  This includes the ability to record call detail, to
provide realtime call billing and debit calling services, etc.  Each
server is provided as a plugin loadable module which can be selectivily
activated on the target platform, along with a plugin loadable database
"driver" to talk with the actual storage subsystem.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

./configure --prefix=%{_prefix}

%build
uname -a|grep SMP && make -j 2 || make

%install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
make prefix=$RPM_BUILD_ROOT/%{_prefix} etc_prefix=$RPM_BUILD_ROOT/etc \
	mandir=$RPM_BUILD_ROOT/%{_mandir} etc_suffix="" install
#make prefix=$RPM_BUILD_ROOT/%{_prefix} \
#	mandir=$RPM_BUILD_ROOT/%{_mandir} man

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%config %attr(0600,root,root) /etc/bayonnedb.conf
%{_dsopath}
%{_prefix}/include/cc++/bayonnedb.h
%{_prefix}/sbin/bayonnedb
%{_prefix}/share/bayonnedb/postgres
/etc/rc.d/init.d/bayonnedb

%clean
rm -rf $RPM_BUILD_ROOT

%post
#/sbin/chkconfig --add bayonnedb

%preun
/sbin/chkconfig --del bayonnedb

%changelog
* Tue Jul 25 2000 David Sugar <dyfet@ostel.com> 0.4-3
- added changes suggested by Lenny Cartier <lenny@mandrakesoft.com>.
- made into a relocatable package.
